Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Solved: When build samba why socket_wrapper not pulled in?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
weiypan_us
Tux's lil' helper
Tux's lil' helper


Joined: 25 Feb 2017
Posts: 91

PostPosted: Mon Mar 02, 2020 4:47 pm    Post subject: Solved: When build samba why socket_wrapper not pulled in? Reply with quote

Hi

I am emerge samba, it failed on socket_wrapper not found
Quote:
ERROR: System library socket_wrapper of version 1.2.3 not found, and bundling disabled

I checked net-libs/socket_wrapper
Quote:
# equery l net-libs/socket_wrapper
!!! No installed packages matching 'net-libs/socket_wrapper'
* Searching for socket_wrapper in net-libs ...


However according to equery graph for samba, net-libs/socket_wrapper is a dependent of net-fs/samba-4.11.6-r2

Quote:
# equery d net-libs/socket_wrapper
* These packages depend on net-libs/socket_wrapper:
net-fs/samba-4.11.6-r2 (!system-mitkrb5 ? >=net-libs/socket_wrapper-1.1.9)


Does anyone know why net-libs/socket_wrapper not pulled in when emerge net-fs/samba-4.11.6-r2?

Thanks


Last edited by weiypan_us on Tue Mar 03, 2020 12:49 am; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 24041
Location: here

PostPosted: Mon Mar 02, 2020 5:06 pm    Post subject: Re: When build samba why socket_wrapper not pulled in? Reply with quote

weiypan_us wrote:
Does anyone know why net-libs/socket_wrapper not pulled in when emerge net-fs/samba-4.11.6-r2?

Probably because is enabled system-mitkrb5 use flag in samba.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
weiypan_us
Tux's lil' helper
Tux's lil' helper


Joined: 25 Feb 2017
Posts: 91

PostPosted: Mon Mar 02, 2020 7:28 pm    Post subject: Reply with quote

Hi fedeliallalinea thank you

yes my system-mitkrb5 is enabled.

Now the question is
If system-mitkrb5 enabled will not pull in net-libs/sonet-libs, it means samba will need socket_wrapper.

How the build will fail?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 24041
Location: here

PostPosted: Mon Mar 02, 2020 7:38 pm    Post subject: Reply with quote

I don't know samba package, but if I look in ebuild socket_wrapper is needed only with test use flag enabled
Code:
        test? (
                !system-mitkrb5? (
                        >=sys-libs/nss_wrapper-1.1.3
                        >=net-dns/resolv_wrapper-1.1.4
                        >=net-libs/socket_wrapper-1.1.9
                        >=sys-libs/uid_wrapper-1.2.1
                )
        )

You enabled test use flag (provide emerge -pv samba output)?
_________________
Questions are guaranteed in life; Answers aren't.


Last edited by fedeliallalinea on Tue Mar 03, 2020 6:43 am; edited 1 time in total
Back to top
View user's profile Send private message
weiypan_us
Tux's lil' helper
Tux's lil' helper


Joined: 25 Feb 2017
Posts: 91

PostPosted: Tue Mar 03, 2020 12:48 am    Post subject: Reply with quote

fedeliallalinea,

Thank you for help!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum